<app-loading [condition]="isLoading"></app-loading>

<app-toast [message]="toast.message"></app-toast>

<app-add-cat-form *ngIf="!isEditing" [cats]="cats"></app-add-cat-form>


<div class="card mt-3" *ngIf="!isLoading">
  <h4 class="card-header">ตารางกิจกรรมและการเดินทาง 14 วันหลังป่วย</h4>
  <div class="card-body">
    <table class="table table-bordered  table-responsive">
      <thead class="thead-light">
        <tr>
          <th width="5%">วัน</th>
          <th width="20%">วันที่</th>
          <th width="40%">กิจกรรม/สถานท่ี</th>
          <th width="15%">จํานวนผู้ร่วมกิจกรรม</th>
          <th width="20%">แก้ไขข้อมูล</th>
        </tr>
      </thead>
      <tbody *ngIf="cats.length === 0">
        <tr>
          <td colspan="5">There are no data in the DB. Add a new data above.</td>
        </tr>  
      </tbody>
      <tbody *ngIf="!isEditing">
        <tr *ngFor="let cat of cats let i = index">
          <td>{{i+1}}</td>
          <td>{{cat.name}}</td>
          <td>{{cat.age}}</td>
          <td>{{cat.weight}}</td>
        
          <td>
            <!-- <button class="btn btn-sm btn-primary" (click)="enableEditing(cat)">
              <i class="fa fa-pencil"></i> แก้ไข
            </button>  -->
            <button class="btn btn-sm btn-danger ml-1" (click)="deleteCat(cat)">
              <i class="fa fa-trash"></i> ลบ
            </button>
          </td>
        </tr>  
      </tbody>
      <tbody *ngIf="isEditing">
        <tr>
          <td colspan="4">
            <form class="form-inline" #form="ngForm" (ngSubmit)="editCat(cat)">
              <input class="form-control mr-2" type="text" name="name"
              [(ngModel)]="cat.name" placeholder="วันที่" required>
              <input class="form-control mr-2" type="text" name="name"
                     [(ngModel)]="cat.name" placeholder="วันที่" required>
              <input class="form-control mr-2" type="number" name="age"
                     [(ngModel)]="cat.age" placeholder="กิจกรรม/สถานท่ี" min="0" required>
              <input class="form-control mr-2" type="number" name="weight"
                     [(ngModel)]="cat.weight" placeholder="จํานวนผู้ร่วมกิจกรรม" step="any" min="0" required>
              <button class="btn btn-sm btn-primary mr-2" type="submit" [disabled]="!form.form.valid">
                <i class="fa fa-floppy-o"></i> ยืนยัน
              </button>
              <button class="btn btn-sm btn-warning" (click)="cancelEditing()">
                <i class="fa fa-times"></i> ยกเลิก
              </button>
            </form>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>

